# Uses of Enum Class
java.util.Locale.Category

Packages that use Locale.Category
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

- ## Uses of Locale.Category in java.util

  Subclasses with type arguments of type Locale.Category in java.util
  Modifier and Type
  Class
  Description
  `static enum`
  `Locale.Category`
  Enum for locale categories.
  Methods in java.util that return Locale.Category
  Modifier and Type
  Method
  Description
  `static Locale.Category`
  Locale.Category.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Locale.Category[]`
  Locale.Category.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.util with parameters of type Locale.Category
  Modifier and Type
  Method
  Description
  `static Locale`
  Locale.`getDefault(Locale.Category category)`
  Gets the current value of the `default locale` for the specified Category for this instance of the Java Virtual Machine.
  `static void`
  Locale.`setDefault(Locale.Category category, Locale newLocale)`
  Sets the `default locale` for the specified Category for this instance of the Java Virtual Machine.